##### basic_deadline_timer::basic_deadline_timer (5 of 7 overloads)

Constructor to set a particular expiry time relative to now.

    basic_deadline_timer(
        const executor_type & ex,
        const duration_type & expiry_time);

This constructor creates a timer and sets the expiry time.

###### Parameters

ex

  The I/O executor that the timer will use, by default, to dispatch handlers for any asynchronous operations performed on the timer.

expiry_time

  The expiry time to be used for the timer, relative to now.